package com.yn.bftl.thirdparty.modules.unionpay.entity;

import com.yn.bftl.common.modules.base.enums.TransIdType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.util.StringUtils;

/**
 * @Author：Vance
 * @Description：POS基础实体
 * @Date：2022/9/12 12:17
 */
@Data
@Accessors(chain = true)
public class PosBaseEntity {

  /** 调用的支付应用名称 */
  @ApiModelProperty("调用的支付应用名称")
  private String appName;

  /** 调用的支付应用业务名称 */
  @ApiModelProperty("调用的支付应用业务名称")
  private String transId;

  public String getAppName() {
    if (!StringUtils.hasText(appName)) {
      return "线下购物车";
    }
    return appName;
  }

  public String getTransId() {
    if (!StringUtils.hasText(transId)) {
      return TransIdType.ROUTING_CONSUME.getName();
    }
    return transId;
  }
}
